diff -urN config-orig/config.guess config/config.guess
--- config-orig/config.guess	Tue Jan 11 12:22:55 2000
+++ config/config.guess	Tue Jan 11 12:23:03 2000
@@ -377,6 +377,8 @@
 	  echo "${UNAME_MACHINE}-unknown-linuxaout" ; exit 0
 	elif test "${UNAME_MACHINE}" = "alpha" ; then
 	  echo alpha-unknown-linux ; exit 0
+	elif test "${UNAME_MACHINE}" = "s390"; then
+	  echo s390-ibm-linux ; exit 0
 	else
 	  # Either a pre-BFD a.out linker (linuxoldld) or one that does not give us
 	  # useful --help.  Gcc wants to distinguish between linuxoldld and linuxaout.
diff -urN config-orig/config.sub config/config.sub
--- config-orig/config.sub	Tue Jan 11 12:22:44 2000
+++ config/config.sub	Tue Jan 11 12:28:05 2000
@@ -172,7 +172,8 @@
 	      | pn-* | np1-* | xps100-* | clipper-* | orion-* | sparclite-* \
 	      | pdp11-* | sh-* | powerpc-* | powerpcle-* | sparc64-* \
 	      | mips64-* | mipsel-* | mips64el-* | mips64orion-* \
-	      | mips64orionel-* | sparc8-* | supersparc-* | microsparc-* | ultrasparc-*)
+	      | mips64orionel-* | sparc8-* | supersparc-* | microsparc-* | ultrasparc-* \
+	      | s390-*) 
 		;;
 	m88110-* | m680[012346]0-* | m683?2-* | m68360-* | z8k-* | h8500-*) # CYGNUS LOCAL
 		;;
